SmakeSmake API Docs
Endpoints

Product Fetch EU

Smake Master API — Product Fetch EU

Get a specified master products. This Endpoint ist only for Strauss EU / USA

Get

Returns a master product of given manufacturer_number = x.

You can expand some resources to show more details. See Get Endpoint: Products

Example of fetching specified master product

Request

GET /products/fetch-by-manufacturer-number/123456789 HTTP/1.1

Response

{
  "id": 1,
  "handle": "123456789",
  "manufacturer_number": "123456789",
  "name": {
    "de": "Zip-Off Hose e.s.trail"
  },
  "description": {
    "de": "Zip-Off Hose e.s.trail"
  },
  "country": 969,
  "brand": 1,
  "material_type": 2,
  "variants": [
    123456,
    123457,
  ],
  "scale_factors": [
    123458,
    123454,
  ],
  "production_areas": [],
  "positioning_areas": [
    123455,
    123451
  ],
  "state": "completed",
  "available_at": null,
  "discontinue_at": null,
  "created_at": "2026-03-06T07:05:01+00:00",
  "updated_at": "2026-03-06T08:16:43+00:00"
}

Available expandable attributes:

  • country
  • brand
  • variants
  • material_type
  • scale_factors
  • production_areas
  • production_areas.production_method
  • positioning_areas
  • positioning_areas.identifier
  • positioning_areas.clamping_device
  • positioning_areas.production_method

On this page